@import url('list-styles.css');

body {
  display: none;
  margin: 0;
}

body,html {
  scroll-padding-top: 6rem
}

@media(max-width: 1023.2px) {
  body,html {
    scroll-padding-top:4rem
  }
}

@media (prefers-reduced-motion: no-preference) {
  html {
    scroll-behavior: smooth;
  }
}

body * {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

body.appear {
  display: block;
}

/* Show/Hide Section Feature */
.show-hide-hidden {
  display: none !important;
}

header .header,
footer .footer {
  visibility: hidden;
}

header .header[data-block-status="loaded"],
footer .footer[data-block-status="loaded"] {
  visibility: visible;
}


i[class^="lh-icon--"]:before,
i[class*=" lh-icon--"]:before {
    line-height: inherit;
}

/* Disclosure Styles */
a.disclosure-link {
  text-decoration: none !important;

  sup {
    font-size: 70%;
    text-decoration: underline;
    top: -0.5em;
    vertical-align: baseline;
    line-height: 0;
    position: relative;
  }
}

.add-comma:after {
  content: ',';
  vertical-align: super;
}

.lh-footer__disclosures > p:not(:first-child),
.lh-footer__disclosures > ol > li {
  margin-top: 1rem;
}

.selected-disclosure {
  scroll-margin: 100px;
}

.selected-disclosure > p {
  font-size: var(--lh-font-size-12);
  line-height: var(--lh-line-height-1-5);
  font-weight: var(--lh-font-weight-bold);

  .back-to-content-disclosure {
    lh-icon {
      padding-bottom: 2px;
      margin-left: 4px;
    }
  }
}
/* End of Disclosure Styles */

:focus-visible:not(lh-tab) {
    outline: 2px solid var(--lh-color-primary-200);
    outline-offset: 0;
}

.cmp-sub-modal {
  width: 300px;
  padding: 20px;
  background-color: #f9fafa;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 10px;
  box-shadow: var(--lh-shadow-md);
}

.cmp-sub-modal.modal-visible {
  display: block;
}

.cmp-sub-modal p {
  font-family: var(--lh-font-family-sans-serif);
  font-size: var(--lh-text-font-size-lg);
  font-weight: normal;
  text-align: center;
  margin-bottom: 70px;
}

a[href] i.lh-icon--arrow-square-out {
  display: inline-flex;
  vertical-align: middle;
  margin-left: 4px;
}

/**** Form Styles ****/
.form-submission-error {
  position: relative;
  width: 100%;
  padding: 1rem 1.5rem 1rem 2.75rem;
  margin-bottom: 1rem;
  background-color: var(--lh-color-error-600);
  border-radius: 10px;
  text-align: left;
  display: block;

  lh-icon {
    position: absolute;
    top: 1rem;
    left: 1rem;
    font-size: 1.25rem;
    color: var(--lh-color-neutral-white);
  }

  p, a {
    color: var(--lh-color-neutral-white);
    margin: 0;
    padding: 0;
    font-size: var(--lh-font-size-14);
    line-height: var(--line-height-tight);
    font-family: var(--lh-font-family-sans-serif), serif;
  }
}
